Skip to end of metadata
Go to start of metadata

ESS and MSS - What to deploy ?


To deploy ESS and MSS on Portal 7.0 and ERP 2005 (also called ERP 6.0 or ECC 6.0), you totally need 6 files.

Download
The Business Packages for ESS/MSS are no more downloadable from SDN Content Portfolio. You need a SMP Login id to download the Business Packages and application components from Service Marketplace. Go to the address: http://service.sap.com/swdc

1. BP for ESS :  Click on Download -> Support Packages and Patches -> Entry by Application Group -> SAP Application Components -> SAP ERP -> SAP ERP 6.0 -> Entry by Component -> Portal Content -> BP ERP05 ESS 1.0 -> Click it and select #OS independent --> Select the SCA file depending on your SP Level

2. BP for MSS : Click on Download -> Support Packages and Patches -> Entry by Application Group -> SAP Application Components -> SAP ERP -> SAP ERP 6.0 -> Entry by Component -> Portal Content -> BP ERP05 MSS 1.0 -> Click it and select #OS independent -> Select the SCA file depending on your SP Level

For actual Web Dynpro applications Click on Download ->Support Packages and Patches -> Entry by Application Group -> SAP Application Components -> SAP ERP -> SAP ERP 6.0 -> Entry by Component -> SAP XSS (Self Services)-> Click it and select #OS independent -> Select the SCA file depending on your SP Level

Then download the following files:

1. SAP ESS 600
2. SAP MSS 600
3. SAP PCUI_GP 600
4. SAP ASR 600
5. SAP PSS 600
6. IS-HER-CSS 600

It is very important that all the files you download have the same Support Package level.

Deploy
You deploy all the files in SDM. Start by deploying the SAP PCUI_GP 600. Then you can deploy the rest in any order you want.

What if it fails ?
Some times the SDM fails to deploy, and a error message is written out. If there are no specific message, then open the log folder on SDM and analyze it for details. Often it is enough to restart the deployment from where it failed, but look for detailed information in the log file.

Upgrade
If you have deployed all the files in Support Package 8, and later the SP 9 is released. There is no need for undeploying the Self Service content. Just add the new files as a new deployment and start the process.

> ERP 6.0 EHP 3

If your ECC system is ERP 6.0 and EHP 3 and you are planning to use ESS and MSS in your Enterprise Portal 7.0 .

This is the latest information.

Download the Business Package for ESS and MSS under the below location (ESS 1.31 and MSS 1.31)

Support Packages and Patches" SAP Application Components" SAP ERP" SAP ERP ENHANCE PACKAGE" SAP ENH PACK 3 FOR SAP ERP 6.0" Entry by Component" Portal Content

BP ERP05 MSS 1.31
BP ERP05 ESS 1.31

Depending upon the SP level.

For application components or Webdynpro components ,navigate to

Support Packages and Patches" SAP Application Components" SAP ERP" SAP ERP ENHANCE PACKAGE" SAP ENH PACK 3 FOR SAP ERP 6.0" Entry by Component" SAP XSS (Self Services)

And download these components

SAP ESS 603
SAP PCUI_GP 603
IS FS ICM APP 603

Important :Here you will not find the other components of release 600, so you can go ahead with deploying the other packages from the below location (which is of release 600)

Support Packages and Patches -> Entry by Application Group -> SAP Application Components -> SAP ERP -> SAP ERP 6.0 -> Entry by Component -> SAP XSS


> ERP 6.0 EHP 4

To download the latest Portal Business Packages for ESS and MSS, please go to:

Support Packages and Patches ->  SAP Application Components -> SAP ERP -> SAP ERP ENHANCE PACKAGE -> EHP4 FOR SAP ERP 6.0 -> Entry by Component ->Portal Content Self Services

Here you will find BP ERP05 ESS 1.41 and BP ERP05 MSS 1.41. Please download latest patches.

 For XSS component, the information presented above in ERP 6.0 EHP3 section is still valid. You can download software from:

Support Packages and Patches -> SAP Application Components -> SAP ERP -> SAP ERP ENHANCE PACKAGE -> EHP4 FOR SAP ERP 6.0 -> Entry by Component -> SAP XSS (Self Services)

4 Comments

  1. Former Member

    Hi,

    Hope you can help out here. It is not clear to me where to deploy what. For ERP2004 it was possible to deploy the WebDynpro's on any WebAS JAVA (including one where the portal was running or the Add-IN WebAS for ERP2004). Now note 1007341 seems to state that the XSS components must be deployed on the NW04s Usage Type EP (thus portal) and NOT on the WebAS Java that is installed with ERP2005? But in the ERP2005 Installation Master Guide it is mentioned that one MAY install XSS and NW04s EP on the same server, thus stating that it is possible to install the XSS components somewhere else.

    Did something significantly change between ERP2004 and ERP2005 (other than the Intgerated ITS requirement)?

    Please advice
    Marcel Rabe

  2. Unknown User (k295bdx)

    Please, I need some clarification
    I'm following the "NWDI cookbook for XSS customer" of Oss note 872892 for the CMS configuration.

    I supposed this cookbook was speaking about Businnes Packages but I'm not so sure.

    To resume my scenario:
    I installed the DI over the Solution Manager instance, and I configured the CMD track indicating as develop runtime system the EP70 system.

    I'm trying to do the check-in of the Businnes Packages (ESS, MSS, PSS) into the track but I have the following dubts/problems:

    1) I downloaded from sapnet the .sca files for the Businees Package
    BPERP5MSS14_0-10003289.SCA
    BPERP5PSS14_0-10003284.SCA
    BPERP5ESS14_0-10003288.SCA

    But I'm not able to do the check-in into the track. I defined them on the track according the cookbook with the proper dependencies but if I go on the Check-in tab the CMS show to me only the .sca of the dependencies (I copied also them into the CMS inbox) but not the .sca listed before for the Businnes Packages.
    I suspect the cookbook is talking about different packages infact at pg 15 it lists the following .sca files:
    SAPMSS...
    SAPESS....
    SAPPSS....

    So the questions are:
    _Businnes Package is the same of XSS ?
    _Do we have to downlod the files of the cookbook as what we downloaded are wrong packages ?
    _What they are ?

    2) Suppose we find out the right .sca files for the application we need to modify using the DI
    Do we have to check -in and deploy all of them on the runtime system (it's an EP system, so all the .sca for the dependency are already deployed) , or we have to deploy to it just the .sca for the application MSS, PSS, ESS ?

    regards

  3. Former Member

    Are the SP level of the Xss components dependant on the SP level of the backend ECC 6.0 system?

  4. Nice document. Thanks for the effort!

    Could you tell me why we have to start with SAP PCUI_GP 600 by the deploying ?

    Kind regards,

    Ben.J.